### Signal

# RB ExtDB::request

#### Declaration

    gboolean
    request (
      RBExtDB* self,
      RBExtDBKey* key,
      gulong last_time,
      gpointer user_data
    )

#### Description [src]

Emitted when a metadata request cannot be satisfied from the local store. Metadata providers initiate searches in response to this signal.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`key`

  Type: `RBExtDBKey`

  The `RBExtDBKey` that was requested.

  The data is owned by the caller of the function.

`last_time`

  Type: `gulong`

  The last time this item was requested.

#### Return value

Type: `gboolean`

No description available.